Subject: Re: bug#4664: 23.1.50; local variables completions

From: Juri Linkov <[email-masked]>
Date: Mon, 12 Oct 2009 02:54:55 +0300

>> This is a wrong fix.  It again removes valid local variables like
>> `generated-autoload-file' from completion.  The right fix would be
>> just to avoid trying to provide their current value as the default
>> value:
>
> Agreed.  Actually even if a symbol is not known to be safe and not
> completable, it should be possible for the user to use it, since it may
> simply not be loaded yet.

Yes, this is already the case: the user is free to enter any variable.
It is only completion with require-match=nil that provides a list
of known variable names.

-- 
Juri Linkov
http://www.jurta.org/emacs/